Ubuntu

[gvfs] [smb] Damaged OpenOffice files from samba shares

Reported by sofie on 2008-09-07
72
This bug affects 6 people
Affects Status Importance Assigned to Milestone
gvfs (Ubuntu)
High
Ubuntu Desktop Bugs
Nominated for Karmic by varanasi
Nominated for Lucid by varanasi
Hardy
Low
Ubuntu Desktop Bugs
openoffice.org (Ubuntu)
High
Chris Cheney
Nominated for Karmic by varanasi
Nominated for Lucid by varanasi
Hardy
Undecided
Unassigned

Bug Description

Hi,

I'm using Hardy. I'm having a problem with OpenOffice.org 2.4 which creates corrupts documents approximately 50% of the time. Ik had no problems with it in Gutsy. Files stored in Home directory are never corrupt.

When I open a file I've saved with 2.4, I get the message "The file <filename> is corrupt and therefore cannot be opened. Should OpenOffice.org (version 1.2.4.1.1) attempt to repair the file?" dialogue box. The file is usually recoverable if I choose Yes, but even when I save the recovered copy, it's corrupt again when I open it!

Sofie

yanick (yanick76) wrote :

I have same problem, but OOo file is on Windows Server 2003. Strange behaviour has also OOo sheet with password, but problem is maybe in samba client configuration. OOo create damaged file when overwrites origin file.

Example:
1. Create new sheet on windows share
2. Save file
3. Open same file
4. Save it with password and close
5. Open it again, choose "save as" from menu and save with same name, but without password (uncheck).

sofie (sofie4you) wrote :

Hi,

Yanick made a good point. In my case the files are also stored on a Windows server. A Western Digital netcenter.

Sofie

sofie (sofie4you) wrote :

Hi,

Yesterday I tried openSUSE 11. Its having the same problems. It also generates corrupt OpenOffice files when stored on a Windows server.

I hope this helps you finding the solution.

Thanks.
Sofie

Tony Pursell (ajpursell) wrote :

Hi

I have been looking at this problem in Answers:

https://answers.launchpad.net/ubuntu/+source/openoffice.org/+question/44845

The same problem has been experienced with Samba shares on Debian Etch and Fedora Core 6 servers, and I have verified it with a 8.04 'server'.

It only seems a problem when the file on the server is overwritten with Save. 'Save as' to a new file name is OK.

Enrico Nadrag (office-sico) wrote :

I have the same problem here.

The samba server remains the same.
I have only one machine upgraded from gutsy to hardy and it
happens that documents edited on this machine will be corrupt
afterwards.
Any workarounds?

TheMOB (mob-mimc) wrote :

This problem is so serious, we are unable to continue using this setup in our office environment, since I managed to corrupt one of the financial control spreadsheets. I have switched to using NFS, and as you would expect, no problems. I have repeated my previous test from Open Question #44845, and this is 100%. We do have another machine which I can use for testing if anyone comes up with a proposed solution.

Regards Mark O'Brien

Brian Murray (brian-murray) wrote :

I've been unable to recreate this bug using openoffice.org package version 1:2.4.1-9ubuntu1 on Ubuntu 8.10. I was saving to a samba share from an Ubuntu 8.04. It would be helpful if people experiencing this bug were to indicate the specific package version of openoffice.org you are using. You can obtain this information via 'apt-cache policy openoffice.org'. Thanks in advance.

Changed in openoffice.org:
importance: Undecided → High
status: New → Incomplete
Tony Pursell (ajpursell) wrote :

I have verified this bug using OOo 2.4.1 in Ubuntu 8.04.01 (on both client and Server side)

sofie (sofie4you) wrote :

Hi Brain,

I use exactly the same package version (1:2.4.1-9ubuntu1). I use Hardy. Gutsy doesn't create the problem.

But I see tony verified the problem.

Thanks Sofie

Tony Pursell (ajpursell) wrote :

Package is openoffice.org-core 1:2.4.1-1ubuntu2 Mon Jun 30 10:45 :22 UTC 2008 (from OOo About Box)

Tony Pursell (ajpursell) wrote :

I have verified this using a Samba share on an Ubuntu 8.04.1 sever and a share using an XP SP3 server. (apparently, although I cannot test this, it is OK on NFS).

Note that I did not get this problem 100% with a small text only odt. It could be reproduced reliably with a 1.5MB odg document.

sofie (sofie4you) wrote :

Hi,

Sorry I use package 1:2.4.1-1ubuntu2.

Excuse me.
Sofie

Brian Murray (brian-murray) wrote :

This is possibly related to if not the same bug as bug 239497.

Tony Pursell (ajpursell) wrote :
  • polly2.odg Edit (1.1 MiB, application/vnd.oasis.opendocument.graphics)

I have done some more testing with similar results. The attached file is always corrupted if saved back to the samba share on an ubuntu 8.04.1 server or the Shared documents folder on a Windows XP SP3 laptop after deleting two pages. The client is as described above (Ubuntu 8.04.01 with openoffice.org-core 1:2.4.1-1ubuntu2.

TheMOB (mob-mimc) wrote :

Yes, I can confirm that Polly2 acts just like my original (confidential) file. Corruption nearly every time with Samba, 100% perfect on NFS and local disk. BTW this is ONLY an OO problem, I edit large graphics with GIMP and generally move a lot of data around, and no other application has a problem

Chris Cheney (ccheney) wrote :

Confirmed with polly2.odg file saved to a Windows XP SP3 machine.

Changed in openoffice.org:
milestone: none → intrepid-updates
status: Incomplete → Triaged
Chris Cheney (ccheney) on 2008-10-23
Changed in openoffice.org:
assignee: nobody → ccheney
Chris Cheney (ccheney) wrote :

Do you still have this problem with openoffice.org 1:2.4.1-11ubuntu2 in Ubuntu 8.10?

I think when I tried before I was running Hardy, on Intrepid (Ubuntu 8.10) I can no longer reproduce this issue...

Changed in openoffice.org:
assignee: ccheney → nobody
importance: High → Undecided
milestone: intrepid-updates → none
status: Triaged → Incomplete
Tony Pursell (ajpursell) wrote :

I will test it when 8.10 is released and I have upgraded. Luckily its release falls at a weekend and I will have time to do the upgrade.

However, this seems to me to be a pretty important fix for small business users who may wish to opt for the stability of the 8.04 LTS release. I would like to hear from Sofie and Mark O'Brien (TheMOB) who were the ones who have a business need for a fix. Are they OK with upgrading just to get this fix? If they are not, what is the possibility of patching 8.04?

TheMOB (mob-mimc) wrote :

Hello, theMOB is me (obviously) Mark O'Brien, a director of a small engineering company that make products for the oil & gas industry. Our AVR32 based CPU board, the mimc200 is part of the linux supported hardware, and my colleagues are active participants to the linux project, so we are not very representative of the majority of users.

Within MIMC, we are happy to use 8.10, or continue with 8.04 LTS in combination with NFS, but my feeling is that the long term supported version and OpenOffice should work with SMB, as many commercial companies (and interested home users looking for alternative from Micro$oft) would want/expect this combination to work. However, I don't have to do the work, but in the interests of the open source community, it would be best to correct this.

Anyone switching over, or just doing an evaluation, is almost bound to be using samba, and will probably pick the LTS version, so if they see file corruptions at this point, the evaluation will be over, and the poor users may be forced to use Vista! However, this may be easier said than done, and I do not know what is involved.

I hope this helps. I am highly appreciative of the input from this forum

Regards, Mark O'Brien

Chris Cheney (ccheney) wrote :

I'm adding it as a task for Hardy (8.04). Normally only security fixes are allowed into older releases but I am going to try to get 2.4.2 update into Hardy and if I can it will likely correct this issue.

Chris

Changed in openoffice.org:
assignee: nobody → ccheney
importance: Undecided → High
milestone: none → ubuntu-8.04.2
status: New → Confirmed
sofie (sofie4you) wrote :

Chris,

Great. I think it is an important issue. Most users have also Windows PC´s and servers for both.

Good luck.
Sofie

albert (alarme94) wrote :

This problem seems to happen when the new version of the file to be saved is shorter than the older. I tried creating a space filled file, named file.odt, and then creating a new spreadsheet an saving with the same name. If file.odt is stored locally, everything goes fine, but if it is stored on a samba share, the result is a file containing a blank spreadsheet with trailing spaces until the length of the dummy space filled old file. That is, saving over an existing file on a samba share overwrites the older, but doesn't arrange the length of the file.

Regards
Albert

Chris Cheney (ccheney) wrote :

Albert,

Do you see this problem on Intrepid or only on Hardy? I can't reproduce the problem any more on Intrepid so I think this bug only still applies to Hardy.

Thanks,

Chris Cheney

Tony Pursell (ajpursell) wrote :

Chris

I have tested this in Intrepid (8.10 with openoffice.org 1:2.4.1-11ubuntu2) and the problem is still there.

Opened Polly2.odg from an XP share and deleted 2 frames; Saved; Opened again and the file has to be recovered.

Tony

Changed in openoffice.org:
status: Incomplete → Confirmed

Upgraded to 8.10. Problem is still continues. If I leave computer, then return to work on file I find I have to re-enter name and password to server. I told server to leave me logged in. File will not even allow me to save it anywhere but local hard drive at this point.

Stew

MichaelE (michael-eitelwein) wrote :
Download full text (6.1 KiB)

Hello

I can confirm this bug which started on my installations with the upgrade to 8.10. When I open an OOO Base file (.odb) via a smb share, I can work with it fine. When I close OOO, the file gets saved with 0 bytes and is gone. The smb share is mounted via cifs and worked fine before upgrading to 8.10.

Here is the OOO version

openoffice.org:
  Installiert: 1:2.4.1-11ubuntu2
  Kandidat: 1:2.4.1-11ubuntu2
  Versions-Tabelle:
 *** 1:2.4.1-11ubuntu2 0
        500 http://de.archive.ubuntu.com intrepid/main Packages
        100 /var/lib/dpkg/status

CIFS info:
filename: /lib/modules/2.6.27-7-generic/kernel/fs/cifs/cifs.ko
version: 1.54
description: VFS to access servers complying with the SNIA CIFS Specification e.g. Samba and Windows
license: GPL
author: Steve French <email address hidden>
srcversion: B0958685FF8AAD4CD24C1B5
depends:
vermagic: 2.6.27-7-generic SMP mod_unload modversions 586
parm: CIFSMaxBufSize:Network buffer size (not including header). Default: 16384 Range: 8192 to 130048 (int)
parm: cifs_min_rcv:Network buffers in pool. Default: 4 Range: 1 to 64 (int)
parm: cifs_min_small:Small network buffers in pool. Default: 30 Range: 2 to 256 (int)
parm: cifs_max_pending:Simultaneous requests to server. Default: 50 Range: 2 to 256 (int)

Info about the samba server:

samba:
  Installiert:3.0.24-6etch10
  Mögliche Pakete:3.0.24-6etch10
  Versions-Tabelle:
 *** 3.0.24-6etch10 0
        500 http://ftp.us.debian.org etch/main Packages
        500 http://security.debian.org etch/updates/main Packages
        100 /var/lib/dpkg/status

Log exceprt on the samba server when opening and closing the db in OOO Base (log.smbd)
[2008/11/22 11:35:31, 2] smbd/open.c:open_file(352)
  michael opened file Rasselbande Vorstand/Mitgliederdaten/Mitglieder_neu.odb read=Yes write=Yes (numopen=1)
[2008/11/22 11:35:31, 2] smbd/open.c:open_file(352)
  michael opened file Rasselbande Vorstand/Mitgliederdaten/Mitglieder_neu.odb read=Yes write=No (numopen=2)
[2008/11/22 11:35:31, 2] smbd/close.c:close_normal_file(344)
  michael closed file Rasselbande Vorstand/Mitgliederdaten/Mitglieder_neu.odb (numopen=1)
[2008/11/22 11:35:36, 2] smbd/open.c:open_file(352)
  michael opened file Rasselbande Vorstand/Mitgliederdaten/Mitglieder_neu.odb.lck read=Yes write=Yes (numopen=2)
[2008/11/22 11:35:37, 2] smbd/open.c:open_file(352)
  michael opened file Rasselbande Vorstand/Mitgliederdaten/Mitglieder_neu.odb.lck read=Yes write=No (numopen=3)
[2008/11/22 11:35:37, 2] smbd/close.c:close_normal_file(344)
  michael closed file Rasselbande Vorstand/Mitgliederdaten/Mitglieder_neu.odb.lck (numopen=2)
[2008/11/22 11:35:39, 2] smbd/open.c:open_file(352)
  michael opened file Rasselbande Vorstand/Mitgliederdaten/Mitglieder_neu.odb.lck read=Yes write=No (numopen=3)
[2008/11/22 11:35:39, 2] smbd/close.c:close_normal_file(344)
  michael closed file Rasselbande Vorstand/Mitgliederdaten/Mitglieder_neu.odb.lck (numopen=2)
[2008/11/22 11:35:41, 2] smbd/close.c:close_normal_file(344)
  michael closed file Rasselbande Vorstand/Mitgliederdaten/Mitglieder_neu.odb (numopen=1)
[2008/11/22 11:35:41, 2] smbd/o...

Read more...

MichaelE (michael-eitelwein) wrote :

Please have a look at bug #286828. https://bugs.launchpad.net/bugs/286828

CIFS of 8.10 has problems with some versions of samba. The proposed work around of disabling DFS solved the issue for me.

Matt Burkhardt (matthewboh) wrote :

I am having the same problem running OO 2.4.1 to a Samba share version 3.028 running Ubuntu 8.04 from my laptop that's running Ubuntu 8.10. I decided to upgrade to OpenOffice 3.0, but the problem has changed a bit. It doesn't even recognize my network shares, I have to type in smb://myserver/myshare/myfile and if I try to insert a picture, OpenOffice just shuts down.

sofie (sofie4you) wrote :

I switched - because of this problem - to Opensuse 11. There the problem doesn't excist. Thanks anyway.

Sofie

Chris Cheney (ccheney) on 2008-12-01
Changed in openoffice.org:
assignee: ccheney → nobody
importance: High → Undecided
milestone: ubuntu-8.04.2 → none
status: Confirmed → Won't Fix
status: Won't Fix → Invalid
scananza (scananza) wrote :

I suffer this issue since months now, from ubuntu 8.04 to 8.10... I guess Ubuntu OOo's SMB extension is really messed up; I got file corruptions, random loss of data and other unpleasant behaveours that make impossible to use Ubuntu's OOo in an office environment, right now.

scananza (scananza) wrote :

Matt, standard linux openoffice (the one you donwload from openoffice.org) doesn't actually have the SMB module compiled in, so it cannot access SMB/Windows shares. This feature is usually linked in by distribution-specific OOo packages and that's where all the troubles come in I guess...

Chris Cheney (ccheney) wrote :

Matt,

Do you still have this problem after updating to the newest linux kernel in Ubuntu 8.10? It claims to have fixed the problem that MichaelE referred to earlier in the bug report.

Thanks,

Chris Cheney

Changed in openoffice.org:
status: Confirmed → Incomplete

I'm willing to try - but I have a question. I ended up installing OO 3
from OO. Just did an aptitude search and found that I have
openoffice.org3 installed. Do I uninstall that then install
openoffice.org from the repositories? I'll also have to take out the
fstab entries - right?

Thanks,

On Sun, 2009-01-18 at 06:31 +0000, Chris Cheney wrote:

> Matt,
>
> Do you still have this problem after updating to the newest linux kernel
> in Ubuntu 8.10? It claims to have fixed the problem that MichaelE
> referred to earlier in the bug report.
>
> Thanks,
>
> Chris Cheney
>
> ** Changed in: openoffice.org (Ubuntu)
> Status: Confirmed => Incomplete
>

Matt Burkhardt, MSTM
President
Impari Systems, Inc.
502 Fairview Avenue
Frederick, MD 21701
<email address hidden>
www.imparisystems.com
(301) 682-7901

There is no change to the problem as I have found it. I still use OOo 2.4.1. My current kernel for 8.10 is given as 2.6.27-9-generic (#1 SMP Thu Nov 20 21:57:00 UTC 2008) by Sysinfo. I download all updates.

Tony

Chris Cheney (ccheney) wrote :

Actually after reading the bug report closer it appears the solution is to upgrade to linux 2.6.27-11-generic which is available in intrepid-proposed and then use the nodfs mount option. If that fixes the problem then your SMB server is probably buggy and if it is linux based probably should be updated.

Chris

Chris Cheney (ccheney) wrote :

It appears your Samba server needs to be running at least version 3.0.32 to not be affected by this issue.

Chris Cheney (ccheney) wrote :

Adding gvfs as well since it looks like gvfs should be using the nodfs option when connecting to known buggy SMB servers(?)

Changed in openoffice.org:
status: Incomplete → Confirmed
Changed in gvfs:
importance: Undecided → High
status: New → Confirmed

Okay - I'm no Linux geek, but trying.......

I do have gvfs installed - I have Ubuntu 8.04 LTS on the server and can
not update it so I can't run the newer Samba and I'm running Ubuntu 8.10
on all of the PC's which has 2.6.27-9-generic kernel on it. I would
like to make as few changes as possible to get this to work - what do
you need me to do?

I figure that the nodfs option is for mounting - but where does that
happen? What should I change the mount command to?

Thanks!

On Sun, 2009-01-18 at 17:11 +0000, Chris Cheney wrote:

> Adding gvfs as well since it looks like gvfs should be using the nodfs
> option when connecting to known buggy SMB servers(?)
>
> ** Changed in: openoffice.org (Ubuntu)
> Status: Incomplete => Confirmed
>
> ** Changed in: gvfs (Ubuntu)
> Importance: Undecided => High
> Status: New => Confirmed
>

Matt Burkhardt, MSTM
President
Impari Systems, Inc.
502 Fairview Avenue
Frederick, MD 21701
<email address hidden>
www.imparisystems.com
(301) 682-7901

Matt,

From what I understand you would need to upgrade to 2.6.27-11-generic from intrepid-proposed and then mount the samba filesystems using mount (not gvfs) and the nodfs option, if you always want the filesystem mounted you can add it to /etc/fstab.

Chris

Chris Cheney (ccheney) on 2009-01-24
Changed in openoffice.org:
assignee: nobody → ccheney
importance: Undecided → High
milestone: none → ubuntu-9.04-beta
status: Confirmed → Triaged
knarf (launchpad-ubuntu-f) wrote :

I am seeing file corruption when copying from a Windows NT4 server to an up-to-date version of Jaunty with a 2.6.29-rc2 kernel (but also using the stock Jaunty kernel) using gvfs. The files in question have NOTHING to do with OOo, they are JPEG's from a digital camera. Files are reliably corrupted every time, the corruption also seems to be more or less identical judging by the way the images are mangled. The NT4 server share is mounted over a (vpnc -...- Cisco PIX) VPN which is also used (without problems) to run a VNC session to the Windows server. Copying the same files from the same server using scp works fine so the files themselves are OK.

The main difference between the problem described in this bug report and my experience is that I get corruption which is unrelated to OpenOffice.org. This bug does not seem to be confined to OOo...

Kenn (bugs-thyrsted) wrote :

I'm running HH 64bit ws _and_ HH 8.04.2 64bit as samba server.

I _am_ experiencing the problem.

As much as the problem is reckognized , all i can see is that i'll have to use a kernel not for 8.04

This isn't the sort of thing You'd expect when upgrading from Fedora WS and CentOS server to Ubuntu 8.04.2 LTS on both WS and server.
Actually i expected that the LTS-version was matured enough to running *at least* as smooth as F8 + SME7.4(CentOS).

Actually it worries me to see that fixes is revolving around Jaunty - not the "Long Term Support" 8.04..

I'm sure i must have mistaken stability for flawless in the "Long Term Support" concept..

/Kenn

Kenn (bugs-thyrsted) wrote :

Sorry , forgot to mention that my OOo version is:
OpenOffice.org-core 1:2.4.1-1ubuntu2.1

Installing smbfs 3.0.28a and mounting via CLI, is working.
(i.e. im unable to corrupt files during my tests)

However i'll have a hard time relying on the GUI/gvfs for attaching to any SMB-share anymore..
Sadly, 'cause this is something the windowsuser expect to "just work".

But it's actually worse than if it were 'not an option', because it seemes to work, - however it's corrupting your files.

This is - in my mind - sad, as it will prevent Ubunty from replacing windows on the desktops ( in the near future)

/Kenn

Chris Cheney (ccheney) wrote :

I believe that this bug is essentially fixed in openoffice.org 1:3.0.1-5ubuntu1 in Jaunty as I have now turned off both gnome-vfs and gio in OOo. OOo is now patched to use gvfs fuse which should work. There are a few remaining bugs in gvfs fuse that cause saving not to work for ftp/webdav but those bugs are already filed in the gnome upstream bug tracker at:

http://bugzilla.gnome.org/show_bug.cgi?id=574968
http://bugzilla.gnome.org/show_bug.cgi?id=575150

Please let me know if this resolves your problem.

Thanks,

Chris Cheney

Changed in openoffice.org:
status: Triaged → Incomplete
Chris Cheney (ccheney) on 2009-03-22
Changed in openoffice.org (Ubuntu):
status: Incomplete → Fix Released
Sebastien Bacher (seb128) wrote :

could you try on current jaunty and describe what gvfs issue you still get there exactly?

Changed in gvfs (Ubuntu):
assignee: nobody → desktop-bugs
status: Confirmed → Incomplete
Sebastien Bacher (seb128) wrote :

the hardy openoffice version doesn't use gvfs does it?

Changed in gvfs (Ubuntu Hardy):
assignee: nobody → desktop-bugs
importance: Undecided → Low
Sebastien Bacher (seb128) wrote :

We are closing this bug report as it lacks the information, described in the previous comments, we need to investigate the problem further. However, please reopen it if you can give us the missing information and don't hesitate to submit bug reports in the future.

Changed in gvfs (Ubuntu):
status: Incomplete → Invalid
Tony Pursell (ajpursell) wrote :

As far as I can tell, the original bug reported by Sophie is fixed in Jaunty with OOo 3.0.1. I have conducted my standard test saving a large odg file to a an XP share and re-opening it.

Thanks to all

Tony

Sergio Zanchetta (primes2h) wrote :

I confirm that this bug is fixed for me after upgrading to Jaunty.
Now OpenOffice files open correctly on a samba share.

Enrico Nadrag (office-sico) wrote :

Is there any chance of a backport to Intrepid?

IMHO a backport to Hardy should also be considered
because this bug is problematic in networking environments.
Lets say in environments where LTS versions are preferred.

Chris Cheney (ccheney) wrote :

Its already in the ppa for Intrepid but gvfs fuse is broken in Intrepid so it doesn't actually work. For Hardy there is no GIO support as far as I can tell so I had to disable the patch for it, even if it did work gvfs fuse fixes would have to be backported to Hardy as well. The gvfs maintainer has previously said he does not intend to backport the gvfs fuse fixes.

Chris

Gundalf (gundalf1983) wrote :

Oh no,

We've moved more than 30 PCs to Hardy in our offices in Indonesia because of the "LTS" term for more than a year. Recently the problem with corrupted OO files starts to haunts our system. Due to the necessity to use autocad, visio and other tax programs we must keep 8 PCs running on XP.
What should I tell my boss? Choose one of these options:
1. Migrate all these PCs to Jaunty --> (again? how stable this jaunty this time? Are you sure about what are you doing?)
 or
2. disconnect the 8 PCs running on XP because we must use NFS?

Please tell me there is a way out. Thanks,

Gundalf

You could do what I have done and that was install a server as a central
sharing point. The linux pcs access the server using NFS and the XP
machines via samba. Perhaps I shouldnt say it b(here!) - but I used FC
for the server! All has been well ever since.

MOB

On Tue, 2009-06-23 at 05:34 +0000, Gundalf wrote:
> Oh no,
>
> We've moved more than 30 PCs to Hardy in our offices in Indonesia because of the "LTS" term for more than a year. Recently the problem with corrupted OO files starts to haunts our system. Due to the necessity to use autocad, visio and other tax programs we must keep 8 PCs running on XP.
> What should I tell my boss? Choose one of these options:
> 1. Migrate all these PCs to Jaunty --> (again? how stable this jaunty this time? Are you sure about what are you doing?)
> or
> 2. disconnect the 8 PCs running on XP because we must use NFS?
>
> Please tell me there is a way out. Thanks,
>
> Gundalf

Gundalf (gundalf1983) wrote :

Thanks Mark (MOB),

But by letting the Win-PCs accessing OO files through Samba -> then the same corrupted file problem stays?

Sorry for my bad english.

Gundalf

Gundalf (gundalf1983) wrote :

Ooops, I've just understood your point.
Of course win + OO + Samba -> won't cause file corruption right? Got to test it.

Thanks Mark,
Gundalf

TheMOB (mob-mimc) wrote :

No, OO win pcs using samba to a FC server works perfectly
OO under Ubuntu using NFS works perfectly

That is how we are mixing machines here in Mercury

Regards MOB

Gundalf wrote:
> Thanks Mark (MOB),
>
> But by letting the Win-PCs accessing OO files through Samba -> then the same corrupted file problem stays?
>
> Sorry for my bad english.
>
> Gundalf
>
>

Chris Cheney (ccheney) wrote :

This bug was about having problems with smb when using gvfs. You can always use real samba mounts using mount and/or /etc/fstab instead of the Places->Connect to Server.

Gundalf (gundalf1983) wrote :

After a month testing with more than 30 PCs :
The following constellation has solved my problem:
- Use samba share for windows client
- Use NFS 4 for ubuntu (mine are hardy), don't use NFS under v.4 file locking seems to be a problem otherwise
- Use OO 3.1.x to allow correct file locking

Regards,
Gundalf

varanasi (mark-hugheshome) wrote :

Yikes. I believe that as of the recent fuse/samba update (this AM), this bug is back in Karmic with OO 3.1.

Open a spreadsheet from an NAS in OO
Save the spreadsheet back to the NAS, (there seems to be a short freeze after what looks in OO like a normal save) quit OO
Re-Open the spreadsheet in OO

OO reports file corruption and will "repair" the file. The data looks fine, but saving to the NAS and re-opening results in a repeat of the corruption message and repair process.

Saving the repaired file locally avoids the repair/corrupt message when the file is reopened. Copying the local file to the NAS lets one open the file from the NAS without the message/process.

Tony Pursell (ajpursell) wrote :

I have tested using Karmic and OpenOffice.org-core 1:3.1.1-5ubuntu1 (taken from the Help >About box). My standard test using the file Polly2.odg (see #14 above) opened from a Windows XP SP3 network share, deleted 2 frames and saved back to the network share. I did not find a problem.

I did the update you referred to first.

The remote network share was mounted first as a CIFS filesystem by accessing it in Nautilus.

How are are you NAS box's shares mounted? Is you OOo version the same?

Tony

varanasi (mark-hugheshome) wrote :

The NAS shares are mounted using fstab. Here's the relevant line from fstab for one of the NAS shares:

//nest/home /media/Home cifs uid=1000,rw,iocharset=utf8,username=**,password=*** 0 0

My OO version is the same.

One difference is that I used an .ods file

Tony Pursell (ajpursell) wrote :

Can you try a test with my Polly2.odg? Copy it onto your NAS share, open it in OOo, delete two frames, save it. Close OOo. Open the saved file from Nautilus by double clicking it. Is it OK?

Do you know what OS your NAS box uses?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.